Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class MeetingRequest

    java.lang.Object
      com.compoze.exchange.AbstractItem
          com.compoze.exchange.Message
              com.compoze.exchange.MeetingRequest

All Implemented Interfaces:
  java.io.Serializable

public class MeetingRequest
extends Message
implements java.io.Serializable

This class represents a request for a meeting.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.compoze.exchange.Message
`ALL_PROPS`

Fields inherited from class com.compoze.exchange.AbstractItem
`m_props, m_session`

Method Summary
`void` | `serverAccept(boolean bTentative, boolean bSend)` Accepts the meeting and sends a response back to the organizer.
`void` | `serverDecline(boolean bSend)` Declines the meeting and sends a response back to the organizer.
`Appointment` | `serverGetAssociatedAppointment(PropertyKey[] apptProps)` Gets the appointment associated with the meeting request.
`void` | `serverRespond(ResponseStatus status, boolean bSend)` Responds to the meeting request (status should be one of `ACCEPTED`, `TENTATIVE` or `DECLINED`.
`void` | `serverRespond(ResponseStatus status, PropertyValue[] values, Recipient[] recips, boolean bSaveInSent)` Sends a response to a meeting request (status should be one of `ACCEPTED`, `TENTATIVE` or `DECLINED`).
`void` | `setSender(AddressEntry addressEntry)` This method is not allowed on this `Message` type.

Methods inherited from class com.compoze.exchange.Message
`getActionStatus, getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getCategories, getConversationIndex, getConversationTopic, getDeliveryReceipt, getEncrypted, getFlagStatus, getFlagText, getFolderID, getFolderName, getHtml, getHtml, getID, getImportance, getMessageType, getNormalizedSubject, getReadReceipt, getRecipientInfo, getRecipientInfoArray, getRichTextFormat, getRichTextFormatAsHtml, getRichTextFormatAsHtml, getRichTextFormatAsPlain, getSender, getSenderName, getSensitivity, getSent, getSigned, getSize, getStoreID, getSubject, getSubject, getSubmitted, getText, getTimeCreated, getTimeExpired, getTimeLastModified, getTimeReceived, getTimeReceivedString, getTimeSent, getUnread, hasAttachment, serverAddAttachment, serverCopyTo, serverDelete, serverDelete, serverDeleteAttachment, serverGetAttachment, serverGetAttachments, serverMoveTo, serverMoveTo, serverResolveRecipients, serverUpdate, serverUpdate, serverUpdate, setActionStatus, setCategories, setConversationIndex, setConversationTopic, setDeliveryReceipt, setEncrypted, setFlagStatus, setFlagText, setFlagText, setHtml, setImportance, setMessageType, setReadReceipt, setRichTextFormat, setSensitivity, setSent, setSigned, setSubject, setSubmitted, setText, setTimeExpired, setTimeReceived, setTimeSent, setUnread, toString`

Methods inherited from class com.compoze.exchange.AbstractItem
`get, getBoolean, getByteArray, getDate, getDouble, getInt, getInvalidPropertyValues, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setByteArray, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### serverAccept

    public void serverAccept(boolean bTentative,
                             boolean bSend)
                      throws ExchangeException

  Accepts the meeting and sends a response back to the organizer.

  Parameters:
    `bTentative` - if `true`, accept the meeting tentatively
    `bSend` - if `true`, send a response to the meeting immediately (otherwise just accept the meeting into the appointment folder)
  Throws:
    `ExchangeException`

### serverDecline

    public void serverDecline(boolean bSend)
                       throws ExchangeException

  Declines the meeting and sends a response back to the organizer.

  Parameters:
    `bSend` - if `true`, send a response to the meeting immediately
  Throws:
    `ExchangeException`

### serverRespond

    public void serverRespond(ResponseStatus status,
                              boolean bSend)
                       throws ExchangeException

  Responds to the meeting request (status should be one of `ACCEPTED`, `TENTATIVE` or `DECLINED`.

  Parameters:
    `status` - the response status (should be one of `ACCEPTED`, `TENTATIVE` or `DECLINED`)
    `bSend` - if `true`, send a response to the meeting immediately
  Throws:
    `ExchangeException`

### serverRespond

    public void serverRespond(ResponseStatus status,
                              PropertyValue[] values,
                              Recipient[] recips,
                              boolean bSaveInSent)
                       throws ExchangeException

  Sends a response to a meeting request (status should be one of `ACCEPTED`, `TENTATIVE` or `DECLINED`).

  Parameters:
    `status` - the response status (should be one of `ACCEPTED`, `TENTATIVE` or `DECLINED`)
    `values` - the property values
    `recips` - the recipients
    `bSaveInSent` - if `true`, save the response in the sent items folder
  Throws:
    `ExchangeException`

### serverGetAssociatedAppointment

    public Appointment serverGetAssociatedAppointment(PropertyKey[] apptProps)
                                               throws ExchangeException

  Gets the appointment associated with the meeting request.

  Parameters:
    `apptProps` - the properties from the appointment to retrieve
  Returns:
    the associated appointment, or `null` if it was not found, meaning that the associated appointment was moved, deleted or is out of date
  Throws:
    `ExchangeException`

### setSender

    public void setSender(AddressEntry addressEntry)
                   throws ExchangeException

  This method is not allowed on this `Message` type.

  Overrides:
    `setSender` in class `Message`
  Parameters:
    `addressEntry` - the address entry of the sender
  Throws:
    `ExchangeException` - this method is not allowed

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.